Debian Bug report logs - #658265
support for overlayfs

version graph

Package: live-boot; Maintainer for live-boot is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-boot is src:live-boot.

Reported by: Stephan Adig <sh@sourcecode.de>

Date: Wed, 1 Feb 2012 16:30:02 UTC

Severity: normal

Found in version live-boot/3.0~a24-1

Fixed in version live-boot/3.0~a25-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#658265; Package live-boot. (Wed, 01 Feb 2012 16:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephan Adig <sh@sourcecode.de>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 01 Feb 2012 16:30:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stephan Adig <sh@sourcecode.de>
To: submit@bugs.debian.org
Subject: live-boot doesn't support overlayfs correctly
Date: Wed, 01 Feb 2012 17:27:34 +0100
Package: live-boot
Version: 3.0~a24-1

Dear Colleagues,

I just had to fight with live-boot and overlayfs on Ubuntu Precise.
The Ubuntu Precise Kernel doesn't support the aufs module anymore, but
as a replacement it supports the overlayfs module.

Sadly, live-boot doesn't support overlayfs correctly.

overlayfs doesn't support the dirs=<dir1>=<rw|ro>:<dir2>=<rw|ro> mount
option. So, mounting overlayfs fails.

I tried to fix it for me, and found this solution: (Patch against latest
git head rev)

sadig@t420-sadig:~/live-boot/live-boot$ git diff -p -u
diff --git a/scripts/live b/scripts/live
index 8ffbc20..12d99bd 100755
--- a/scripts/live
+++ b/scripts/live
@@ -1569,7 +1569,10 @@ setup_unionfs ()
                                unionmountopts="-t ${cow_fstype} -o
noatime,union,${cow_mountopt} ${cowdevice}"
                                mount_full $unionmountopts
"${unionmountpoint}"
                                ;;
-
+                       overlayfs)
+                               unionmountopts="-o
noatime,lowerdir=${unionro},upperdir=${unionrw},rw"
+                               mount -t ${UNIONTYPE} ${unionmountopts}
${UNIONTYPE} "${unionmountpoint}"
+                               ;;

                        *)
                                if [ -n "${PERSISTENT_READONLY}" ]

This works for me. Eventually it's also the correct way of using
overlayfs inside live-boot.

As I'm trying to get FAI running on Ubuntu, this works now as expected.
Sadly I'm not able to test anything else then this FAI usecase.

I tested it with using a nfs mount as live filesystem and a squashfs
image. Both ways are working with the mentioned patch.

There is the RFC page http://live.debian.net/devel/rfc/overlayfs/ , but
sadly the patch which was posted on paste.debian.net is gone.


Hope it helps,

\sh

-- 
SysAdmin & OpenSource Enthusiast
Ubuntu Developer


-- 
SysAdmin & OpenSource Enthusiast
Ubuntu Developer





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#658265; Package live-boot. (Fri, 03 Feb 2012 12:57:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 03 Feb 2012 12:57:13 GMT) Full text and rfc822 format available.

Message #10 received at 658265@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Stephan Adig <sh@sourcecode.de>
Cc: 658265@bugs.debian.org
Subject: Re: Bug#658265: live-boot doesn't support overlayfs correctly
Date: Fri, 03 Feb 2012 13:55:16 +0100
tag 658265 pending
retitle 658265 support for overlayfs
thanks

On 02/01/2012 05:27 PM, Stephan Adig wrote:
> There is the RFC page http://live.debian.net/devel/rfc/overlayfs/ , but
> sadly the patch which was posted on paste.debian.net is gone.

my fault, i was supposed to have merged that in live-boot last year, but
somehow that got dropped. Michal point me to it, so i've merged his
patch. Thanks for bringing this to our attention.

Regards,
Daniel

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Added tag(s) pending. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Fri, 03 Feb 2012 12:57:14 GMT) Full text and rfc822 format available.

Changed Bug title to 'support for overlayfs' from 'live-boot doesn't support overlayfs correctly' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Fri, 03 Feb 2012 12:57:15 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Mon, 06 Feb 2012 22:55:08 GMT) Full text and rfc822 format available.

Notification sent to Stephan Adig <sh@sourcecode.de>:
Bug acknowledged by developer. (Mon, 06 Feb 2012 22:55:08 GMT) Full text and rfc822 format available.

Message #19 received at 658265-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 658265-close@bugs.debian.org
Subject: Bug#658265: fixed in live-boot 3.0~a25-1
Date: Mon, 06 Feb 2012 22:50:15 +0000
Source: live-boot
Source-Version: 3.0~a25-1

We believe that the bug you reported is fixed in the latest version of
live-boot, which is due to be installed in the Debian FTP archive:

live-boot-doc_3.0~a25-1_all.deb
  to main/l/live-boot/live-boot-doc_3.0~a25-1_all.deb
live-boot-initramfs-tools_3.0~a25-1_all.deb
  to main/l/live-boot/live-boot-initramfs-tools_3.0~a25-1_all.deb
live-boot_3.0~a25-1.debian.tar.gz
  to main/l/live-boot/live-boot_3.0~a25-1.debian.tar.gz
live-boot_3.0~a25-1.dsc
  to main/l/live-boot/live-boot_3.0~a25-1.dsc
live-boot_3.0~a25-1_all.deb
  to main/l/live-boot/live-boot_3.0~a25-1_all.deb
live-boot_3.0~a25.orig.tar.gz
  to main/l/live-boot/live-boot_3.0~a25.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 658265@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-boot package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 06 Feb 2012 23:27:38 +0100
Source: live-boot
Binary: live-boot live-boot-doc live-boot-initramfs-tools
Architecture: source all
Version: 3.0~a25-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-boot  - Debian Live - System Boot Scripts
 live-boot-doc - Debian Live - System Boot Scripts (documentation)
 live-boot-initramfs-tools - Debian Live - System Boot Scripts (initramfs-tools backend)
Closes: 658265
Changes: 
 live-boot (3.0~a25-1) unstable; urgency=low
 .
   [ Daniel Baumann ]
   * Updating to debhelper version 9.
 .
   [ Michal Suchanek ]
   * Add overlayfs support (Closes: #658265).
Checksums-Sha1: 
 1d134937bcec4aed4ee7a367f8faba4ca32958aa 1386 live-boot_3.0~a25-1.dsc
 3df34d3959dfd10cc79e2005b6946edbaa9fd62d 113849 live-boot_3.0~a25.orig.tar.gz
 292f4ed2a244cb157f45b703caac57a1a0070a5f 21083 live-boot_3.0~a25-1.debian.tar.gz
 e073185db1c82b937bf15cc3230d27f781b948b0 20938 live-boot_3.0~a25-1_all.deb
 ce2b172634855dc172f5a37af9027e5994bf4441 65850 live-boot-doc_3.0~a25-1_all.deb
 75318ebda6db32fb43b2768a406dc8c2dcdf7953 34180 live-boot-initramfs-tools_3.0~a25-1_all.deb
Checksums-Sha256: 
 b2c05a4b110101ee12092d861718cd419fc70fa64d3c47917894cf014c38c06a 1386 live-boot_3.0~a25-1.dsc
 985b8eceacb53e9cbd700a313e913767ee1d775f56840517992aa76cd85e7884 113849 live-boot_3.0~a25.orig.tar.gz
 ed0ec100c743f0047f1983ca62f77ea4f4054fb9e4b2a54e4e089122860dc231 21083 live-boot_3.0~a25-1.debian.tar.gz
 97dda11e31caaaf32569f0f997b223419f93af2faa3a35dee4aacc65eb258cd2 20938 live-boot_3.0~a25-1_all.deb
 84f001c797bd09f0bb5a93de9fcea4c87f4eabc25f9c3e65656d19acf99a0763 65850 live-boot-doc_3.0~a25-1_all.deb
 81d67d1bdff48b96a5ca6b6c04ee2d89f463988f50d4aa09f0dc7fb59a6ab9cf 34180 live-boot-initramfs-tools_3.0~a25-1_all.deb
Files: 
 bd53881d5b6181ead021f2d7f0901b78 1386 misc optional live-boot_3.0~a25-1.dsc
 01b4c39b1cfec196a4b7ee46e35b0c78 113849 misc optional live-boot_3.0~a25.orig.tar.gz
 49cfaf10fe056575b8a2160da70467fb 21083 misc optional live-boot_3.0~a25-1.debian.tar.gz
 61121a41a80cecb341e9b282bcbbd679 20938 misc optional live-boot_3.0~a25-1_all.deb
 6145e3a3ae3677f8ad915a19c6165e8e 65850 doc optional live-boot-doc_3.0~a25-1_all.deb
 5a2d225675ce7a3a48c36e4d6d74d2ee 34180 misc optional live-boot-initramfs-tools_3.0~a25-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk8wVQQACgkQ+C5cwEsrK56QZACfc5FVbB1S9fsTXt+1ica3ekq7
W9UAoIZYtKL+XPrx4vJcp9iDjkjzppym
=/3fP
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 17 Mar 2012 07:40:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:26:26 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.